Subject: bug#43265: [External] : bug#43265: 28.0.50; Inconsistent fontifying in elisp-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 26 Jan 2021 00:34:42 +0100

Stefan Monnier <[email-masked]> writes:

> I don't see why that should be more likely for special forms than for
> macros.  For many of them, which is which is largely an
> arbitrary choice.

The only reason I see to handle special forms specially here is for
reasons of efficiency.  That is, we now do a lot more work for special
forms than we used to do, and special forms are a lot more common in
Emacs Lisp code than macros, so perhaps the performance regression isn't
worth it.

Emacs doesn't feel more sluggish to me than before making the change,
though, so I think the change was the right thing to do.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no